import { Response } from 'express';
import { Model } from 'mongoose';
import { Payment } from '../script/schema/payment.schema';
export declare class PaymentsController {
    private readonly paymentModel;
    private readonly logger;
    constructor(paymentModel: Model<Payment>);
    handleWebhook(body: any, res: Response): Promise<void>;
    handleResubscribe(decodedPayload: any): Promise<void>;
    handleInitialPurchase(decodedPayload: any): Promise<void>;
    handleDidRenew(decodedPayload: any): Promise<void>;
    handleVoluntaryExpire(decodedPayload: any): Promise<void>;
    handleFailedRenewal(decodedPayload: any): Promise<void>;
    handleGracePeriod(decodedPayload: any): Promise<void>;
    handleAutoRenewDisabled(decodedPayload: any): Promise<void>;
    getDurationFromProductId(productId: string): string;
}
